Subject: Re: [sunset4] Declaring IPv4 Historic
From: "Marc Blanchet" <[email-masked]>
To: "Lee Howard" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 17 Mar 2016 13:28:24 -0400
List-Id: sunset4 working group discussion list <sunset4.ietf.org>

On 17 Mar 2016, at 6:35, Lee Howard wrote:

> On 3/16/16, 7:26 PM, "sunset4 on behalf of Tassos Chatzithomaoglou"
> <[email-masked] on behalf of [email-masked]> wrote:
>
>> I support the idea of this draft, but...
>>>    The IETF does not update Historic RFCs.  Therefore, the IETF will 
>>> no
>>>    longer work on IPv4 technologies, including transition 
>>> technologies.
>> ...i would like to see included some clarifications about the 
>> transition
>> technologies.
>> It seems risky to "abandon" softwires/behave work without having good
>> exposure on operators.
>> It's like we assume that everything transition-related will either 
>> work
>> fine or won't be needed.
>
> This is one of the most common comments I¹ve gotten so far. I do 
> think
> there¹s operational experience with all of the major transition
> technologies, but they¹re all still fairly new.
>
> What would folks think of modifying the statement from:
>    the IETF will no
>    longer work on IPv4 technologies, including transition 
> technologies.
>
>
> To:
>    the IETF will no
>    longer develop new IPv4 technologies, including IPv4-IPv6 
> transition
> technologies.

I like it better. I would suggest « including IPv4 to IPv6 transition 
technologies.  (to avoid excluding NAT64 and related that are needed for 
the next decade…

>
> I¹d like to get across the idea that new development will be in IPv6, 
> not
> IPv4. The IPv4 spec itself won¹t be updated at all (once it¹s 
> Historic),
> but transition technologies could be revised for operational and 
> security
> reasons. Also, I feel pretty strongly (but will listen to consensus) 
> that
> it¹s too late to develop any new transition (or life-extension)
> technologies.

I agree, except for v6 to v4 such as NAT64.

Marc.

>
>>
>> Also i would to have more information about the draft's effect on 
>> DHCP
>> and any new options may come out.
>
> What would you like it to say?
> Can we stop it with new DHCP (v4) options, and just put them in IPv6? 
> Do
> we need to list all IPv4-specific protocols and technologies and 
> specify
> whether they can be revised?
>
>
>
>>
>> --
>> Tassos
>
> Thanks,
>
> Lee
>
>
>
> _______________________________________________
> sunset4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sunset4